Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Infiniband problem, kernel mismatch
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2010-11-22 11:01:48


On Nov 18, 2010, at 7:03 PM, HeeJin Kim wrote:

> I'm using Mellanox infiniband network card and trying to run it with openmpi.
> The problem is that I can connect and communicate between nodes, but I'm not sure whether it is in a correct state or not.
>
> I have two version of openmpi, one is compiled with mca-btl-openib and the other is without btl-openib.(I checked it in ompi_info)

You should ensure that the version of Open MPI available on all nodes is the same exact version.

> And my jobs are running well using the openmpi without btl-openib,
> but when I run the exactly same job using openmpi with btl-openmpi, I meet the following error.
>
> mlx4: There is a mismatch between the kernel and the userspace libraries: Kernel does not support XRC. Exiting.

At first blush, this sounds like a problem with your OFED installation. You should contact your IB vendor for assistance.

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/